package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclCustomerFortunePay;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xxy
 */
public interface AclCustomerFortunePayDALService {
    /**
     * 通过withdrawId批量查询
     * @param withdrawIds withdrawIds
     * @return List<AclCustomerFortunePay>
     */
    List<AclCustomerFortunePay> findByWithdrawIds(List<Long> withdrawIds);

    /**
     * 批量更新
     * @param pays pays
     */
    void updateAll(List<AclCustomerFortunePay> pays);

    Long save(AclCustomerFortunePay pay);

    /**
     * 批量查询
     * @param payIds payIds
     * @return 列表
     */
    List<AclCustomerFortunePay> findByIds(Long[] payIds);
}
